Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.cas.text
Class Language

    java.lang.Object
      org.apache.uima.cas.text.Language

    public class Language

extends Object

Field Summary
`static char` | `CANONICAL_LANG_SEPARATOR`
`static String` | `UNSPECIFIED_LANGUAGE`
`static Language` | `ZH`
`static Language` | `ZH_CN`
`static Language` | `ZH_TW`

Constructor Summary
`Language(String language)`

Method Summary
`String` | `getFullLanguage()`
`String` | `getLanguagePart()`
`String` | `getTerritoryPart()`
`static void` | `main(String[] args)`
`static String` | `normalize(String lang)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNSPECIFIED_LANGUAGE

    public static final String UNSPECIFIED_LANGUAGE

See Also:
  Constant Field Values

### ZH

    public static final Language ZH

### ZH_CN

    public static final Language ZH_CN

### ZH_TW

    public static final Language ZH_TW

### CANONICAL_LANG_SEPARATOR

    public static final char CANONICAL_LANG_SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### Language

    public Language(String language)

Method Detail

### normalize

    public static final String normalize(String lang)

### getLanguagePart

    public String getLanguagePart()

### getTerritoryPart

    public String getTerritoryPart()

### getFullLanguage

    public String getFullLanguage()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.